import request from '@/utils/request'

// 查询企微功能账号管理列表
export function listAccount(query) {
  return request({
    url: '/qw/account/list',
    method: 'get',
    params: query
  })
}

// 查询企微功能账号管理详细
export function getAccount(id) {
  return request({
    url: '/qw/account/' + id,
    method: 'get'
  })
}

export function updateDevice(id) {
  return request({
    url: '/qw/account/editDeviceId/' + id,
    method: 'get'
  })
}

// 新增企微功能账号管理
export function addAccount(data) {
  return request({
    url: '/qw/account',
    method: 'post',
    data: data
  })
}

// 修改企微功能账号管理
export function updateAccount(data) {
  return request({
    url: '/qw/account',
    method: 'put',
    data: data
  })
}

// 删除企微功能账号管理
export function delAccount(id) {
  return request({
    url: '/qw/account/' + id,
    method: 'delete'
  })
}

// 导出企微功能账号管理
export function exportAccount(query) {
  return request({
    url: '/qw/account/export',
    method: 'get',
    params: query
  })
}


//根据账号获取设备id
export function getDeviceId(account) {
  return request({
    url: '/qw/account/getDeviceId/' + account,
    method: 'get'
  })
}